## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-billing-budgets
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.13.0
Release:        %autorelease
Summary:        Python Client for Google Cloud Billing Budget API

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Google Cloud Billing Budget API stores Cloud Billing budgets, which define a
budget plan and the rules to execute as spend is tracked against that plan.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup_budgets*.py


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md


%changelog
* Wed Dec 13 2023 Major Hayden <major@redhat.com> - 1.13.0-2
- Skip import check, remove nspkg file

* Thu Dec 07 2023 Packit <hello@packit.dev> - 1.13.0-1
- [packit] 1.13.0 upstream release
- Resolves rhbz#2253535

* Wed Dec 06 2023 Nikola Forró <nforro@redhat.com> - 1.12.1-3
- Do not sync release candidate versions

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.12.1-2
- Allow packit to do koji builds

* Tue Sep 19 2023 Packit <hello@packit.dev> - 1.12.1-1
- [packit] 1.12.1 upstream release

* Mon Sep 11 2023 Major Hayden <major@redhat.com> - 1.12.0-1
- Update to 1.12.0

* Mon Sep 11 2023 Major Hayden <major@redhat.com> - 1.11.1-3
- Add packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.11.1-1
- Update to 1.11.1 rhbz#2219899

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.11.0-2
- Rebuilt for Python 3.12

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0 rhbz#2212781

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 1.10.0-1
- Revert "Update to 1.11.0 rhbz#2212781"

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0 rhbz#2212781

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 1.10.0-1
- Update to 1.10.0 rhbz#2173785

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.9.1-1
- Update to 1.9.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.7.3-1
- Update to 1.7.3 rhbz#2133513

* Wed Oct 05 2022 Major Hayden <major@redhat.com> - 1.7.2-3
- Remove azure-related copy/paste error

* Wed Oct 05 2022 Major Hayden <major@redhat.com> - 1.7.2-2
- Allow an older version of protobuf

* Wed Oct 05 2022 Major Hayden <major@redhat.com> - 1.7.2-1
- Update to 1.7.2 rhbz#2131100

* Wed Aug 17 2022 Major Hayden <major@redhat.com> - 1.7.1-1
- Update to 1.7.1 rhbz#2119198

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.7.0-1
- Update to 1.7.0 rhbz#2108152

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.6.2-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.6.2-1
- Update to 1.6.2

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> - 1.6.1-1
- Update to 1.6.1

* Wed Feb 23 2022 Major Hayden <major@mhtx.net> - 1.6.0-1
- Update to 1.6.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1.5.1-1
- Update to 1.5.1

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1.5.0-1
- Update to 1.5.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 1.4.4-1
- Update to 1.4.4

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1.4.3-1
- Update to 1.4.3

* Fri Sep 17 2021 Major Hayden <major@mhtx.net> - 1.4.2-3
- Fix tests with PEP 420 workaround

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 1.4.2-2
- Move to rpmautospec

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 1.4.2-1
- Initial import (#1999106)
